#Generated Form Function
function GenerateForm {
########################################################################
# Code Generated By: SAPIEN Technologies PrimalForms (Community Edition) v1.0.10.0
# Generated On: 14.11.2012 16:13
# Generated By: michael.kellenberge
########################################################################

#region Import the Assemblies
[reflection.assembly]::loadwithpartialname("System.Windows.Forms") | Out-Null
[reflection.assembly]::loadwithpartialname("System.Drawing") | Out-Null
#endregion

#region Generated Form Objects
$Frm_Eingabe = New-Object System.Windows.Forms.Form
$Tbx_Name = New-Object System.Windows.Forms.TextBox
$Btn_Cancel = New-Object System.Windows.Forms.Button
$Btn_Ok = New-Object System.Windows.Forms.Button
$Lbl_Name = New-Object System.Windows.Forms.Label
$InitialFormWindowState = New-Object System.Windows.Forms.FormWindowState
#endregion Generated Form Objects

#----------------------------------------------
#Generated Event Script Blocks
#----------------------------------------------
#Provide Custom Code for events specified in PrimalForms.
$Btn_Cancel_OnClick= 
{
  $Frm_Eingabe.Close() #Formulare verlassen
}

$handler_label1_Click= 
{
  write-Host "Is was?" #Handler testen
}

$Btn_Ok_Click= 
{
  write-Host $Tbx_Name.Text
  $Frm_Eingabe.Close() #Formulare verlassen
}

$OnLoadForm_StateCorrection=
{#Correct the initial state of the form to prevent the .Net maximized form issue
	$Frm_Eingabe.WindowState = $InitialFormWindowState
}

#----------------------------------------------
#region Generated Form Code
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 262
$System_Drawing_Size.Width = 284
$Frm_Eingabe.ClientSize = $System_Drawing_Size
$Frm_Eingabe.DataBindings.DefaultDataSourceUpdateMode = 0
$Frm_Eingabe.Name = "Frm_Eingabe"
$Frm_Eingabe.Text = "Titel"

$Tbx_Name.DataBindings.DefaultDataSourceUpdateMode = 0
$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 29
$System_Drawing_Point.Y = 53
$Tbx_Name.Location = $System_Drawing_Point
$Tbx_Name.Name = "Tbx_Name"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 20
$System_Drawing_Size.Width = 243
$Tbx_Name.Size = $System_Drawing_Size
$Tbx_Name.TabIndex = 3

$Frm_Eingabe.Controls.Add($Tbx_Name)


$Btn_Cancel.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 121
$System_Drawing_Point.Y = 109
$Btn_Cancel.Location = $System_Drawing_Point
$Btn_Cancel.Name = "Btn_Cancel"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 75
$Btn_Cancel.Size = $System_Drawing_Size
$Btn_Cancel.TabIndex = 2
$Btn_Cancel.Text = "Cancel"
$Btn_Cancel.UseVisualStyleBackColor = $True
$Btn_Cancel.add_Click($Btn_Cancel_OnClick)

$Frm_Eingabe.Controls.Add($Btn_Cancel)


$Btn_Ok.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 29
$System_Drawing_Point.Y = 109
$Btn_Ok.Location = $System_Drawing_Point
$Btn_Ok.Name = "Btn_Ok"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 23
$System_Drawing_Size.Width = 75
$Btn_Ok.Size = $System_Drawing_Size
$Btn_Ok.TabIndex = 1
$Btn_Ok.Text = "OK"
$Btn_Ok.UseVisualStyleBackColor = $True
$Btn_Ok.add_Click($Btn_Ok_Click)

$Frm_Eingabe.Controls.Add($Btn_Ok)

$Lbl_Name.DataBindings.DefaultDataSourceUpdateMode = 0

$System_Drawing_Point = New-Object System.Drawing.Point
$System_Drawing_Point.X = 29
$System_Drawing_Point.Y = 13
$Lbl_Name.Location = $System_Drawing_Point
$Lbl_Name.Name = "Lbl_Name"
$System_Drawing_Size = New-Object System.Drawing.Size
$System_Drawing_Size.Height = 22
$System_Drawing_Size.Width = 117
$Lbl_Name.Size = $System_Drawing_Size
$Lbl_Name.TabIndex = 0
$Lbl_Name.Text = "Bitte Namen eingeben:"
$Lbl_Name.add_Click($handler_label1_Click)

$Frm_Eingabe.Controls.Add($Lbl_Name)

#endregion Generated Form Code

#Save the initial state of the form
$InitialFormWindowState = $Frm_Eingabe.WindowState
#Init the OnLoad event to correct the initial state of the form
$Frm_Eingabe.add_Load($OnLoadForm_StateCorrection)
#Show the Form
$Frm_Eingabe.ShowDialog()| Out-Null

} #End Function

#Call the Function
GenerateForm
